package com.chenyang.nse.bussiness.entity.vo.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreDataProject;
import java.util.List;
import java.util.Map;

public class TCoreProjectDetailVO extends TCoreDataProject {
   private String edition_name;
   private String createTime;
   private List<Map<String, Object>> list;

   public String getEdition_name() {
      return this.edition_name;
   }

   public void setEdition_name(String edition_name) {
      this.edition_name = edition_name;
   }

   public List<Map<String, Object>> getList() {
      return this.list;
   }

   public void setList(List<Map<String, Object>> list) {
      this.list = list;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setCreateTime(final String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreProjectDetailVO)) {
         return false;
      } else {
         TCoreProjectDetailVO other = (TCoreProjectDetailVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$edition_name = this.getEdition_name();
            Object other$edition_name = other.getEdition_name();
            if (this$edition_name == null) {
               if (other$edition_name != null) {
                  return false;
               }
            } else if (!this$edition_name.equals(other$edition_name)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$list = this.getList();
            Object other$list = other.getList();
            if (this$list == null) {
               if (other$list != null) {
                  return false;
               }
            } else if (!this$list.equals(other$list)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreProjectDetailVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $edition_name = this.getEdition_name();
      result = result * 59 + ($edition_name == null ? 43 : $edition_name.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $list = this.getList();
      result = result * 59 + ($list == null ? 43 : $list.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreProjectDetailVO(edition_name=" + this.getEdition_name() + ", createTime=" + this.getCreateTime() + ", list=" + this.getList() + ")";
   }
}
